package com.chelvc.cloud.maintain.vo;

import java.io.Serializable;

import com.chelvc.cloud.vehicle.api.constant.Adsource;
import com.chelvc.framework.base.model.Media;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 广告配置
 *
 * @author Woody
 * @date 2023/5/7
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class AdvertisementVO implements Serializable {
    /**
     * 媒体类型
     */
    private Media type;

    /**
     * 广告来源
     */
    private Adsource source;

    /**
     * 封面图片
     */
    private String cover;

    /**
     * 跳转地址
     */
    private String redirect;
}
