package com.chelvc.cloud.maintain.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.chelvc.framework.base.model.File;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 商品评价信息
 *
 * @author Woody
 * @date 2023/8/6
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CommentVO implements Serializable {
    /**
     * 评价ID
     */
    private Long id;

    /**
     * 用户信息
     */
    private UserVO user;

    /**
     * 评价打分
     */
    private Double score;

    /**
     * 评价内容
     */
    private String content;

    /**
     * 附件列表
     */
    private List<File> attachments;

    /**
     * 创建时间
     */
    private Date createTime;
}
