package com.chelvc.cloud.maintain.vo;

import java.io.Serializable;
import java.util.List;

import com.chelvc.framework.base.model.File;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 商家信息
 *
 * @author Woody
 * @date 2023/5/5
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class MerchantVO implements Serializable {
    /**
     * 商家ID
     */
    private Long id;

    /**
     * 商家名称
     */
    private String name;

    /**
     * 联系电话
     */
    private String mobile;

    /**
     * 营业时间
     */
    private String opening;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 商家评分
     */
    private Double score;

    /**
     * 订单销量
     */
    private Integer sale;

    /**
     * 距离（米）
     */
    private Integer distance;

    /**
     * 轮播图列表
     */
    private List<File> banners;
}
